run-all

来自「busybox最新版的源码:学习和应用的好东东,多的不说了,大家看后再说吧」· 代码 · 共 63 行

TXT
63
字号
#!/bin/shtest -x ash || { echo "No ./ash?!"; exit; }test -x printenv || gcc -O2 -o printenv printenv.c || exit $?test -x recho    || gcc -O2 -o recho    recho.c    || exit $?test -x zecho    || gcc -O2 -o zecho    zecho.c    || exit $?PATH="$PWD:$PATH" # for ash and recho/zecho/printenvexport PATHTHIS_SH="$PWD/ash"export THIS_SHdo_test(){    test -d "$1" || return 0    (    cd "$1" || { echo "cannot cd $1!"; exit 1; }    for x in run-*; do	test -f "$x" || continue	case "$x" in	    "$0"|run-minimal|run-gprof) ;;	    *.orig|*~) ;;	    #*) echo $x ; sh $x ;;	    *)	    sh "$x" >"../$1-$x.fail" 2>&1 && \	    { echo "$1/$x: ok"; rm "../$1-$x.fail"; } || echo "$1/$x: fail";	    ;;	esac    done    # Many bash run-XXX scripts just do this,    # no point in duplication it all over the place    for x in *.tests; do	test -x "$x" || continue	name="${x%%.tests}"	test -f "$name.right" || continue	{	    "$THIS_SH" "./$x" >"$name.xx" 2>&1	    diff -u "$name.xx" "$name.right" >"../$1-$x.fail" && rm -f "$name.xx" "../$1-$x.fail"	} && echo "$1/$x: ok" || echo "$1/$x: fail"    done    )}# main part of this script# Usage: run-all [directories]if [ $# -lt 1 ]; then    # All sub directories    modules=`ls -d ash-*`    for module in $modules; do	do_test $module    doneelse    while [ $# -ge 1 ]; do	if [ -d $1 ]; then	    do_test $1	fi	shift    donefi

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?